ALTER LARGE OBJECT(7)

NAME
ALTER_LARGE_OBJECT - change the definition of a large object

SYNOPSIS

ALTER LARGE OBJECT large_object_oid OWNER TO { new_owner | CURRENT_USER | SESSION_USER }

DESCRIPTION

ALTER LARGE OBJECT changes the definition of a large object. The only functionality is to assign a new owner. You must be superuser or owner of the large object to use ALTER LARGE OBJECT.

PARAMETERS

large_object_oid
    OID of the large object to be altered

new_owner
    The new owner of the large object

COMPATIBILITY

There is no ALTER LARGE OBJECT statement in the SQL standard.

SEE ALSO
Chapter 32, Large Objects, in the documentation